<?php
class UsuarioPicasa
{
	public  $qry;
	private	$sql;
	private $id_empresa;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$mysqlCom = new MysqlConnect();
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}

	function selectUsuarioPicasa($id_usuario_picasa)
	{
		$this->sql = "select id_usuario_picasa, usuario from usuario_picasa ";
		if ($id_usuario_picasa != 0) {
			$this->sql .= " where id_usuario_picasa = $id_usuario_picasa and ";
		} else {
			$this->sql .= ' where ';
		}
		$this->sql .= "id_empresa = $this->id_empresa limit 1";
		$this->execulta();
	}

	function LocalizarUsuarioPicaso($usuario)
	{
		$usuario = addslashes($usuario);
		$this->sql = "select id_usuario_picasa, usuario from usuario_picasa 
						  where usuario like '%$usuario%'
						  and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	function UpdateUsuarioPicasa($id_usuario_picasa, $usuario)
	{
		$usuario = addslashes($usuario);
		$this->sql = "update usuario_picasa
						  set usuario = '$usuario'
						  where id_usuario_picasa = $id_usuario_picasa
						  and id_empresa = $this->id_empresa";

		//  UPDATE usuario_picasa SET `usuario` = 'xicoasa' WHERE `usuario_picasa`.`id_usuario_picasa` =1;
		$this->execulta();
		echo $id_usuario_picasa;
	}



	function InsertUsuarioPicasa($usuario)
	{
		$usuario = addslashes($usuario);
		$this->sql = "INSERT INTO usuario_picasa
						(usuario, id_empresa)
						VALUES
						('$usuario', $this->id_empresa)";
		$this->execulta();

		echo mysqli_insert_id();
	}


	function DeletarUsuarioPicasa($id_usuario_picasa)
	{
		$this->sql = "delete from usuario_picasa
							  where id_usuario_picasa = $id_usuario_picasa
						      and id_empresa = $this->id_empresa";
		echo $this->sql;
		$this->execulta();
	}
}
